Run On Demand Uplink Metrics Test For Service Mesh

Run On Demand Uplink Metrics Test For Service Mesh
Trigger the on demand underlay metrics measurement test for the given service mesh

Trigger the on demand underlay metrics measurement test for the given service mesh

Request
URI
POST
https://{server}/hybridity/api/interconnect/underlay/serviceMeshHealth/{serviceMeshId}
COPY
Path Parameters
string
serviceMeshId
Required

Service mesh Id for which on demand metrics is needed


Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns UnderlayMetricsTestSuccessResponse of type(s) application/json
{
    "data": {
        "underlayTaskId": "string",
        "interconnectEntityId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns IXNotFound of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns IXConflict of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/underlay/serviceMeshHealth/{serviceMeshId}